<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>dmp-cloud</artifactId>
        <groupId>com.persagy</groupId>
        <version>1.0.0</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>
    <artifactId>dmp-file</artifactId>
    <packaging>jar</packaging>

    <dependencies>
        <!-- 配置中心（包含注册中心） -->
        <dependency>
            <groupId>com.persagy</groupId>
            <artifactId>integrated-config-client</artifactId>
        </dependency>
        <dependency>
            <groupId>com.persagy</groupId>
            <artifactId>integrated-redis-spring-boot-starter</artifactId>
        </dependency>
        <!-- 项目启动 -->
        <dependency>
            <groupId>com.persagy</groupId>
            <artifactId>dmp-server</artifactId>
        </dependency>
        <dependency>
            <groupId>com.persagy</groupId>
            <artifactId>dmp-mybatis</artifactId>
        </dependency>
        <dependency>
            <groupId>jdk.tools</groupId>
            <artifactId>jdk.tools</artifactId>
            <version>1.8</version>
            <scope>system</scope>
            <systemPath>${env.JAVA_HOME}/lib/tools.jar</systemPath>
        </dependency>
        <!-- https://mvnrepository.com/artifact/org.slf4j/log4j-over-slf4j -->
        <dependency>
            <groupId>org.slf4j</groupId>
            <artifactId>log4j-over-slf4j</artifactId>
        </dependency>
        <dependency>
            <groupId>org.apache.hadoop</groupId>
            <artifactId>hadoop-common</artifactId>
        </dependency>
        <dependency>
            <groupId>org.apache.hadoop</groupId>
            <artifactId>hadoop-hdfs</artifactId>
        </dependency>
        <dependency>
            <groupId>com.persagy</groupId>
            <artifactId>dmp-file-starter</artifactId>
        </dependency>
        <!-- MinIO -->
        <dependency>
            <groupId>io.minio</groupId>
            <artifactId>minio</artifactId>
        </dependency>
    </dependencies>
</project>